import {scaleOrdinal} from 'd3';

const colorScale = scaleOrdinal()
.domain(['apple','lemon'])
.range(['#c11d1d','#eae600']);

const radiusScale = scaleOrdinal()
.domain(['apple','lemon'])
.range([50,30]);

const xPosition = (d,i) => i * 120 + 60

export const fruitBowl = (selection,props) => {
  console.log('c-4');
  const {fruits, height, setSelectedFruit, selectedFruit} = props;
    const circles = selection.selectAll('circle').data(fruits, d=>d.id)
    console.log('d-5')
    circles
    .enter().append('circle')
    .attr('cx', xPosition)
    .attr('cy', height/2)
  .attr('r',0)
    .merge(circles)
  .attr('class','fruit')
  
  
  .on('mouseover', d=> {
      console.log('e-1')
      setSelectedFruit(d.id)
    console.log('f-9')
    }
     )
   .on('mouseout', ()=> {
     
      setSelectedFruit(null)
   
    }
     )
    
  .transition().duration(1000)
  .attr('stroke', d=>d.id === selectedFruit ? 'black':'none')
  .attr('stroke-width', 10)
  .attr('r', d=>radiusScale(d.type))
    .attr('fill', d=>colorScale(d.type))
.attr('cx', xPosition)
  
  console.log('g-6')
    circles
    .exit()
  .transition().duration(500)
    .attr('r',0)
    .remove()
  
  console.log('h-7')
}